%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% UoC Masters/Doctoral Thesis Class File
% Version 1.0 (14/10/2021)
%
% This class is based on Version 1.6 of the Masters/Doctoral Thesis Class File --- downloaded from:
% https://www.latextemplates.com/template/masters-doctoral-thesis
%
% Original Authors:
% Vel (vel@latextemplates.com)
% Johannes Böttcher
%
% Modified by:
% Daniel dg. (14/10/2021)
%
% Notes:
% 1) This class file defines the structure and layout of the template file (main.tex).
% 2) It has been written in such a way that under most circumstances you should not need
% to edit it; updating it to a newer version will be harder. If you do make changes, please change the name of
% the file and add comments to make your changes more visible.
%
% Class license:
% LPPL v1.3c (http://www.latex-project.org/lppl)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
% Use this thesaurus if you use English NZ
% https://extensions.libreoffice.org/en/extensions/show/english-new-zealand-dictionary-hyphenation-thesaurus



%----------------------------------------------------------------------------------------
%	CLASS DEFINITION AND PARAMETERS
%----------------------------------------------------------------------------------------

\NeedsTeXFormat{LaTeX2e}[1996/12/01]
\newcommand{\classname}{MastersDoctoralThesis}
\ProvidesClass{\classname}[2017/08/27 v1.6 LaTeXTemplates.com]
\providecommand{\baseclass}{book}

\RequirePackage{etoolbox}
\RequirePackage{xparse}

% Defining Booleans
\newbool{final}
\newbool{nolistspace}
\newbool{chapteroneline}
\newbool{listtoc}
\newbool{toctoc}
\newbool{parskip}
\newbool{hyperrefsupport}
\newbool{headsepline}
\newbool{consistentlayout}
\newbool{disabletodo}
\newbool{enablenomenclaturevalue}
\newbool{resetcountonpart}

% Nomenclature Booleans
\newbool{createnomenclature}
\newbool{symbolsimported}
\newbool{subsuperimported}
\newbool{subscriptsimported}
\newbool{abbreviationsimported}
\newbool{glossaryimported}


\booltrue{hyperrefsupport} % hyperlink support enabled by default

%\DeclareOption{option}{\booltrue{boolean}}				% If the option is decleared, set the boolean to true
\DeclareOption{finalversion}{\booltrue{final}}
\DeclareOption{nohyperref}{\boolfalse{hyperrefsupport}}
\DeclareOption{nolistspacing}{\booltrue{nolistspace}}
\DeclareOption{liststotoc}{\booltrue{listtoc}}
\DeclareOption{chapterinoneline}{\booltrue{chapteroneline}}
\DeclareOption{toctotoc}{\booltrue{toctoc}}
\DeclareOption{parskip}{\booltrue{parskip}}
\DeclareOption{headsepline}{\booltrue{headsepline}}
\DeclareOption{consistentlayout}{\booltrue{consistentlayout}}
\DeclareOption{disabletodo}{\booltrue{disabletodo}}
\DeclareOption{enablenomenclaturevalue}{\booltrue{enablenomenclaturevalue}}
\DeclareOption{resetcountonpart}{\booltrue{resetcountonpart}}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{\baseclass}}

\ProcessOptions\relax % Processes all the class options

\LoadClass{\baseclass}

%  Simple interface for the user  to customize the chapter titles 
\ProvideDocumentCommand{\abovechapterskip}{}{\vspace*{20pt}}
\ProvideDocumentCommand{\chapterbelowskip}{}{\vspace*{40pt}}
\ProvideDocumentCommand{\chapterinbetweenskip}{}{\vspace*{20pt}}
\ProvideDocumentCommand{\autodot}{}{}
\ProvideDocumentCommand{\mdtChapapp}{}{}
\ProvideDocumentCommand{\chapteralign}{}{\raggedright}
\ProvideDocumentCommand{\chapterfont}{}{\Huge\bfseries}
\ProvideDocumentCommand{\chapterprefixfont}{}{\LARGE\bfseries}
\DeclareDocumentCommand{\@makechapterhead}{ m }{%
	\abovechapterskip
	{\parindent \z@ \chapteralign \normalfont
		\ifnum \c@secnumdepth >\m@ne
		\if@mainmatter
		\ifbool{chapteroneline}{%
			\chapterfont \mdtChapapp\thechapter\autodot\enspace
		}{%
			\chapterprefixfont \@chapapp\space \thechapter
			\par\nobreak
			\chapterinbetweenskip
		}%
		\fi
		\fi
		\interlinepenalty\@M%
		\chapterfont #1\par\nobreak
		\chapterbelowskip
	}
	\thispagestyle{\chapter@p@gestyle}
}
\def\@makeschapterhead#1{%
	\abovechapterskip
	{\parindent \z@ \chapteralign
		\normalfont
		\interlinepenalty\@M
		\chapterfont  #1\par\nobreak
		\chapterbelowskip
	}
	\thispagestyle{\chapter@p@gestyle}
}


% Addchap provides unnumbered chapters with an entry in the table of contents as well as an updated header
\ProvideDocumentCommand{\addchap}{ s o m }{%
	\chapter*{#3}%
	\markboth{}{}%
	\IfBooleanTF{#1}{%
	}{%
		\IfNoValueTF{#2}{%
			\addchaptertocentry{#3}%
			\markboth{\MakeMarkcase{#3}}{\MakeMarkcase{#3}}%
		}{%
			\addchaptertocentry{#2}%
			\markboth{\MakeMarkcase{#2}}{\MakeMarkcase{#2}}%
		}%
	}%
}%

\ProvideDocumentCommand{\addsec}{ s o m }{%
	\section*{#3}%
	\markright{}%
	\IfBooleanTF{#1}{%
	}{%
		\IfNoValueTF{#2}{%
			\addcontentsline{toc}{section}{#3}%
			\markright{\MakeMarkcase{#3}}%%
		}{%
			\addcontentsline{toc}{section}{#2}%
			\markright{\MakeMarkcase{#2}}%
		}%
	}%
}%

%----------------------------------------------------------------------------------------
%	CLASS OPTIONS
%----------------------------------------------------------------------------------------

% Information on patchcmd
% 	\patchcmd[prefix]{command}{search}{replace}{success}{failure}


\ifbool{listtoc}{% If the liststotoc option has been passed to the class, add the lists to the table of contents
	\patchcmd{\listoftables}{\@starttoc{lot}}{%
		\addchaptertocentry{\listtablename}\@starttoc{lot}%
	}{}{}%
	\patchcmd{\listoffigures}{\@starttoc{lof}}{%
		\addchaptertocentry{\listfigurename}\@starttoc{lof}%
	}{}{}%
}

\ifbool{toctoc}{% If the toctotoc options has been passed to the class, add the table of contents to the table of contents
	\patchcmd{\tableofcontents}{\@starttoc{toc}%
	}{%
		\addchaptertocentry{\contentsname}\@starttoc{toc}}{}{}%
}

\patchcmd{\tableofcontents}{\MakeUppercase}{\MakeMarkcase}{}{}
\patchcmd{\tableofcontents}{\MakeUppercase}{\MakeMarkcase}{}{}
\patchcmd{\listoffigures}{\MakeUppercase}{\MakeMarkcase}{}{}
\patchcmd{\listoffigures}{\MakeUppercase}{\MakeMarkcase}{}{}
\patchcmd{\listoftables}{\MakeUppercase}{\MakeMarkcase}{}{}
\patchcmd{\listoftables}{\MakeUppercase}{\MakeMarkcase}{}{}

% If the option `nolistspacing' is given, the spacing in the different lists is reduced to single spacing. This option is only useful, if the spacing of the document has been changed to onehalfspacing or doublespacing.
\ifbool{nolistspace}{
	\patchcmd{\listoffigures}{%
		\@starttoc{lof}
	}{%
		\begingroup%
		\singlespace\@starttoc{lof}\endgroup%
	}{}{}%
	\patchcmd{\listoftables}{%
		\@starttoc{lot}
	}{%
		\begingroup%
		\singlespace\@starttoc{lot}\endgroup%
	}{}{}%
	\patchcmd{\tableofcontents}{%
		\@starttoc{toc}
	}{%
		\begingroup%
		\singlespace\@starttoc{toc}\endgroup%
	}{}{}%
}{}


%----------------------------------------------------------------------------------------
%	REQUIRED PACKAGES
%----------------------------------------------------------------------------------------

\RequirePackage[pdftex,dvipsnames]{xcolor} % Required for specifying custom colours

\RequirePackage{geometry} % Required for page setup

\RequirePackage{xargs}  % Required to enable more than one optional parameter in a newly defined command (\newcommandx)

\ifbool{hyperrefsupport}{
	\RequirePackage{hyperref}
}


\ifbool{parskip}{ 	% If the parskip option is passed to the class, require the parskip package 
	\RequirePackage{parskip}
} 

\RequirePackage{babel} % Required for automatically changing names of document elements to languages besides english

\RequirePackage{scrbase} % Required for handling language-dependent names of sections/document elements

\RequirePackage{scrhack} % Loads fixes for various packages

\RequirePackage{setspace} % Required for changing line spacing

\RequirePackage[backend=biber,style=numeric,sorting=none]{biblatex} % Referencing - Style is very similar to IEEE

\RequirePackage{array}		% Basic Tables
\RequirePackage{longtable}  % Required for tables that span multiple pages (used in the symbols, abbreviations and physical constants pages)
\RequirePackage{tabularx}   % More tables

\RequirePackage{xfp} 		% (LaTeX3 FPU) Math calculations e.g \fpeval{round(sqrt(2) * sind(40),2)}
\RequirePackage{amsmath}	%
\RequirePackage{siunitx} 	% Required for \SI commands % for auto bold symbol use: [detect-weight=true, detect-family=true]

\RequirePackage{caption} % Required for customising the captions
\RequirePackage{graphicx} % Required to include images
\RequirePackage{subcaption} % Required for sub figures
\RequirePackage{epstopdf} %[outdir=./Figures/]

\RequirePackage[record,% using bib2gls
symbols, % create list of symbols
acronym, % create a list of acronyms
shortcuts % Enables all shortcuts - http://mirrors.ibiblio.org/CTAN/macros/latex/contrib/glossaries-extra/glossaries-extra-manual.pdf#page=17&zoom=100,118,109
]{glossaries-extra}
\RequirePackage{glossary-mcols}%multi-column styles

\RequirePackage{booktabs} % Required for better table rules

\RequirePackage{verbatim} % For comment sections

\RequirePackage{enumitem} % Enables customization of ordered list indices

\setlength{\marginparwidth}{2.5cm} % Required for setup of todonotes package
%\RequirePackage[colorinlistoftodos,prependcaption,textwidth=\marginparwidth,textsize=scriptsize]{todonotes}

\ifbool{final}{%
	\RequirePackage[disable,colorinlistoftodos,prependcaption,textwidth=\marginparwidth,textsize=scriptsize]{todonotes}
}{%
	\ifbool{disabletodo}{%
		\RequirePackage[disable,colorinlistoftodos,prependcaption,textwidth=\marginparwidth,textsize=scriptsize]{todonotes}
	}{%
		\RequirePackage[colorinlistoftodos,prependcaption,textwidth=\marginparwidth,textsize=scriptsize]{todonotes}
	}%
}%

\RequirePackage[utf8]{inputenc} % Required for inputting international characters
\RequirePackage[T1]{fontenc} % Output font encoding for international characters

\RequirePackage{mathpazo} % Use the Palatino font by default

\RequirePackage[markcase=used]{scrlayer-scrpage} % Required for correct formatting of headers and footers


\RequirePackage[super]{nth} % Useful for displaying dates

\RequirePackage{bm} % Bold math symbols

\RequirePackage{environ} % Package for defining environments, has advantages of the other environment package used in this class

\RequirePackage{etoolbox} % Useful for inserting commands into existing environemnts

\RequirePackage[autostyle=true]{csquotes} % Required to generate language-dependent quotes in the bibliography

%----------------------------------------------------------------------------------------
%	FIGURES SETUP
%----------------------------------------------------------------------------------------

\graphicspath{{Figures/}{./}} % Specifies where to look for included images
\renewcommand\p@subfigure{\thefigure.} % Adds a dot between figure number and subfigure letter

\newcommand{\missingcitation}[1]{{\color{red}[#1]\info{Missing Citation!}}}

\DeclareCaptionFont{xipt}{\fontsize{11}{13}\mdseries} % Arial styled font
%\captionsetup{justification=centerlast,font=small,labelfont=sc,margin=50pt} % Nice style but not bold
\captionsetup{justification=centerlast,font=xipt,labelfont=bf,margin=25pt} % Bold Arial styled captions
\newcommand{\source}[1]{\vspace{-5pt} \caption*{\textbf{Source:} {#1}} } 

% Smart function to seperate pdf_tex from pdf / JPEG
\NewDocumentCommand{\insertfigure}{ O{0.99} m }{
	\ifnum\pdfmatch{pdf_tex}{#2}=1%
		\def\svgwidth{#1\columnwidth}%
		\input{Figures/#2}%
	\else%
		\includegraphics[width=#1\columnwidth]{#2}%
	\fi%
}

% Single line command for inserting figures - not used since it is more difficult to figure out what argument is what in the document
%\NewDocumentCommand{\insertcenteredfigure}{ O{htb!} m m m d<> m }{%
%	\begin{figure}[#1]%
%		\centering%
%		\insertfigure[#2]{#3}%
%		\caption{#4}%
%		\IfNoValueF{#5}{%
%			\source{#5}%
%		}
%		\label{#6}%
%	\end{figure}
%}

% Single line command for inserting subfigures
\NewDocumentCommand{\insertsubfigure}{ O{0.99} m m d<> }{%
	\begin{subfigure}[t]{#1\columnwidth}% The top alignment ensures all captions are aligned at the top (Looks neater)
		\centering%
		\insertfigure[0.99]{#2}%
		\IfNoValueF{#4}{%
			\caption{#4}%
		}%
		\IfNoValueT{#4}{%
			\caption{}%
		}%
		\label{#3}%
	\end{subfigure}%
}


%----------------------------------------------------------------------------------------
%	TABLE SETUP
%----------------------------------------------------------------------------------------

\renewcommand{\arraystretch}{1.5}		%Top and bottom padding
%\setlength{\tabcolsep}{5pt}			 %Left and Right Padding
%\setlength{\arrayrulewidth}{1mm}		 %Border thickness

\newcommand{\multilinecell}[1]{\renewcommand{\arraystretch}{1.2}\begin{tabular}[c]{@{}c@{}}#1\end{tabular}}

% Custom table columns that enable width scaling in basic table packages - e.g. long tables(?)
\newcommand{\PreserveBackslash}[1]{\let\temp=\\#1\let\\=\temp}
\newcolumntype{C}[1]{>{\PreserveBackslash\centering}p{#1}}
\newcolumntype{R}[1]{>{\PreserveBackslash\raggedleft}p{#1}}
\newcolumntype{L}[1]{>{\PreserveBackslash\raggedright}p{#1}}


%----------------------------------------------------------------------------------------
%	DEFINE CUSTOM COLOURS
%----------------------------------------------------------------------------------------

\colorlet{mdtRed}{red!50!black}

%----------------------------------------------------------------------------------------
%	THESIS TITLE PAGE
%----------------------------------------------------------------------------------------

% Thesis Title Page
\NewDocumentCommand{\setthesistitle} { o m }{%
	\IfValueTF{#1}{\def\shorttitle{#1}}{\def\shorttitle{#2}}%
	\def\@title{#2}%
	\def\thesistitle{#2}%
}																									% Thesis title, callback name is \thesistitle or \shorttitle
\DeclareDocumentCommand{\setauthor}{m}{\newcommand{\authorname}{#1}\renewcommand{\@author}{#1}} 	% Authors name, callback name is \authorname
\NewDocumentCommand{\setsupervisor}{m}{\newcommand{\supervisorname}{#1}} 							% Your supervisor's name, callback name is \supervisorname
\NewDocumentCommand{\setuniversity}{m}{\newcommand{\universityname}{#1}}							% Your University name, callback name is \universityname
\NewDocumentCommand{\setdepartment}{m}{\newcommand{\departmentname}{#1}}							% Your department, callback name is \departmentname
\NewDocumentCommand{\setpostgradtype}{m}{\newcommand{\graduationtype}{#1}}							% Your postgrad type, callback name is \graduationtype
\NewDocumentCommand{\setfaculty}{m}{\newcommand{\facultyname}{#1}}									% Your faculty, callback name is \facultyname
\NewDocumentCommand{\setkeywords}{m}{\newcommand{\keywords}{#1}}									% Keywords, callback name is \keywords

\NewDocumentCommand{\inserttitlepage}{ }{
	\begin{titlepage}
		\begin{center}
			
			{\scshape\LARGE \universityname\par}\vspace*{0.8cm} % University name
			
			\includegraphics[width=0.5\textwidth]{UCLogoBlackCropped}\vspace*{0.5cm}
			
			\textsc{\Large \graduationtype{} Thesis}\\[0.5cm] % Thesis type
			
			\HRule \\[0.4cm] % Horizontal line
			{\huge \bfseries \thesistitle\par}\vspace{0.4cm} % Thesis title
			\HRule \\[1.5cm] % Horizontal line
			
			\begin{minipage}[t]{0.49\textwidth}
				\begin{flushleft} \large
					\emph{Author:}\\
					{\authorname} 
				\end{flushleft}
			\end{minipage}
			\begin{minipage}[t]{0.49\textwidth}
				\begin{flushright} \large
					\emph{Supervisor:} \\
					\href{https://www.canterbury.ac.nz}{\supervisorname} % Supervisor name - remove the \href bracket to remove the link  
				\end{flushright}
			\end{minipage}\\[2cm]
			
			%\vfill
			
			\large \textit{A thesis submitted in fulfillment of the requirements\\ for the degree of \graduationtype{} of \facultyname{}}\\[0.3cm] % University requirement text
			\textit{in the}\\[0.2cm]
			\departmentname\\[2cm]
			
			\vfill
			
			{\large \today}\\[4cm] % Date
			
			\vfill
		\end{center}
	\end{titlepage}
}


%----------------------------------------------------------------------------------------
%	METADATA
%----------------------------------------------------------------------------------------

\AtBeginDocument{
	\hypersetup{pdftitle=\thesistitle} % Set the PDF's title to your title
	\hypersetup{pdfauthor=\authorname} % Set the PDF's author to your name
	\hypersetup{pdfkeywords=\keywords} % Set the PDF's keywords to your keywords
}


%----------------------------------------------------------------------------------------
%	QUOTATION PAGE
%----------------------------------------------------------------------------------------

\NewDocumentCommand{\quotetext}{m}{\newcommand{\quotedescription}{#1}}							% Quote, callback name is \quotedescription
\NewDocumentCommand{\quoteauth}{m}{\newcommand{\quoteauthname}{#1}}								% Quote Author, callback name is \quoteauthname

\NewDocumentCommand{\insertquotepage}{ }{
	\vspace*{0.2\textheight}%
	\noindent\enquote{\itshape \quotedescription}\bigbreak%
	\hfill \quoteauthname%
}


%----------------------------------------------------------------------------------------
%	ASTHETIC COMMANDS
%----------------------------------------------------------------------------------------

% Document layout commands
\newcommand{\checktoopen}{% New command to move content to the next odd page if twosided mode is active  
	\if@openright\cleardoublepage\else\clearpage\fi
	\ifdef{\phantomsection}{\phantomsection}{}% The \phantomsection command is necessary for hyperref to jump to the correct page
}

\NewDocumentCommand{\bhrule}{}{\typeout{--------------------}} % This command outputs content to the log file 
\NewDocumentCommand{\tttypeout}{m}{\bhrule\typeout{\space #1}\bhrule} % This command outputs content to the log file 

\newcommand{\HRule}{\rule{1\linewidth}{.6pt}} % New command to make the lines in the title page
\newcommand{\decoRule}{\rule{.8\textwidth}{.4pt}} % New command for a rule to be used under figures, UNUSED??

\setcounter{tocdepth}{3} % The depth to which the document sections are printed to the table of contents, 3=subsubsection
\ProvideDocumentCommand{\addchaptertocentry}{ m }{%
	\addcontentsline{toc}{chapter}{#1}%
}

\newcommand{\concern}[1]{\textcolor{red}{#1}} % Makes text red where section is of concern
\newcommand{\greentext}[1]{\textcolor{ForestGreen}{#1}} % Makes text red where section is of concern

%----------------------------------------------------------------------------------------
%	PARAGRAPH SETTINGS
%----------------------------------------------------------------------------------------

\setlength{\parindent}{1em} 	% Sets paragraph indent - Overides parskip package
%\usepackage{indentfirst}		% Enables an indent on the very first paragraph of a section
%\setlength{\parskip}{4\smallskipamount} 	% Sets paragraph spacing - Overides parskip package


%----------------------------------------------------------------------------------------
%	TODO NOTES
%----------------------------------------------------------------------------------------

% Used to remove spaces between words
\newcommand{\removespaces}[1]{%
	\begingroup
	\spaceskip=1sp
	\xspaceskip=1sp
	#1%
	\endgroup%
}

% \removespaces is used for formatting in the report where the random spaces created by these commands are removed. Does not effect stuff in the notes
% \PackageWarning is used to notify user that the report has incomplete TODO's when compiling final version
\newcommandx{\info}[2][1=]{\removespaces{\todo[linecolor=green,backgroundcolor=green!25,bordercolor=green,#1]{#2}}%
	\ifbool{final}{\PackageWarning{TODO:}{#2!}}{}}
\newcommandx{\unsure}[2][1=]{\removespaces{\todo[linecolor=red,backgroundcolor=red!25,bordercolor=red,#1]{#2}}%
	\ifbool{final}{\PackageWarning{TODO:}{#2!}}{}}
\newcommandx{\change}[2][1=]{\removespaces{\todo[linecolor=blue,backgroundcolor=blue!25,bordercolor=blue,#1]{#2}}%
	\ifbool{final}{\PackageWarning{TODO:}{#2!}}{}}
\newcommandx{\improvement}[2][1=]{\removespaces{\todo[linecolor=Plum,backgroundcolor=Plum!25,bordercolor=Plum,#1]{#2}}%
	\ifbool{final}{\PackageWarning{TODO:}{#2!}}{}}

\newcommandx{\infof}[2][1=]{\removespaces{\todo[fancyline,linecolor=green,backgroundcolor=green!25,bordercolor=green,#1]{#2}}%
	\ifbool{final}{\PackageWarning{TODO:}{#2!}}{}}
\newcommandx{\unsuref}[2][1=]{\removespaces{\todo[fancyline,linecolor=red,backgroundcolor=red!25,bordercolor=red,#1]{#2}}%
	\ifbool{final}{\PackageWarning{TODO:}{#2!}}{}}
\newcommandx{\changef}[2][1=]{\removespaces{\todo[fancyline,linecolor=blue,backgroundcolor=blue!25,bordercolor=blue,#1]{#2}}%
	\ifbool{final}{\PackageWarning{TODO:}{#2!}}{}}
\newcommandx{\improvementf}[2][1=]{\removespaces{\todo[fancyline,linecolor=Plum,backgroundcolor=Plum!25,bordercolor=Plum,#1]{#2}}%
	\ifbool{final}{\PackageWarning{TODO:}{#2!}}{}}


%----------------------------------------------------------------------------------------
%	Referencing
%----------------------------------------------------------------------------------------

% Chapter Referencing
\newcommand{\figref}[1]{\hyperref[#1]{Figure \ref{#1}}}
%\newcommand{\figrefpart}[2]{\hyperref[#1]{Figure \ref{#1}.#2}}
\newcommand{\tabref}[1]{\hyperref[#1]{Table \ref{#1}}}
\newcommand{\eqnref}[1]{\hyperref[#1]{Equation (\ref{#1})}}
\newcommand{\appref}[1]{\hyperref[#1]{Appendix \ref{#1}}}
\newcommand{\secref}[1]{\hyperref[#1]{Section \ref{#1}}}
\newcommand{\chapref}[1]{\hyperref[#1]{Chapter \ref{#1}}}
\newcommand{\partref}[1]{\hyperref[#1]{Part \ref{#1}}}


%----------------------------------------------------------------------------------------
%	DISPLAYING LATEX CODE
%----------------------------------------------------------------------------------------

% Code ouput commands
\newcommand{\displaycoderaw}[1]{%
	\fcolorbox{white}{gray!10!}{\quad\strut \texttt{\detokenize{#1}}\quad}
}

\newcommand{\displaycode}[1]{%
	\displaycoderaw{#1} 
	\ensuremath{\quad\longrightarrow\quad #1}
}


%----------------------------------------------------------------------------------------
%	INCLUDING CHAPTERS
%----------------------------------------------------------------------------------------

\NewDocumentCommand{\includechapter}{ m }{%
	\include{Chapters/#1}%
}

%----------------------------------------------------------------------------------------
%	INCLUDING APPENDICIES
%----------------------------------------------------------------------------------------

\NewDocumentCommand{\includeappendix}{ m }{%
	\include{Appendices/#1}%
}

%----------------------------------------------------------------------------------------
%	MATH SETUP
%----------------------------------------------------------------------------------------

\sisetup{per-mode=symbol,inter-unit-product=\ensuremath{ { } \cdot { } }}

\newcommand{\symunit}[1]{\; \glsentryunit{#1}} % Adds a space between the number and unit for equations (NOTE: only use when inside $ $)
\newcommand{\symunitns}[1]{\glsentryunit{#1}} % Adds a unit for equations with no preceeding space (NOTE: only use when inside $ $)
\newcommand{\symvalunit}[1]{\gls{#1}=\glsentryvalue{#1}\; \glsentryunit{#1}} % Adds a space between the number and unit for equations (NOTE: only use when inside $ $)
\newcommand{\customunit}[1]{\; #1} % Adds a space between the number and unit for equations (NOTE: only use when inside $ $)
\newcommand{\customunitns}[1]{#1} % Adds a unit for equations with nopreceeding  space (NOTE: only use when inside $ $)
\newcommand{\SIunit}[2]{$\num{#1} \;$ \si[per-mode=symbol]{#2}}		% Adds a value with SI unit, symbolic mode
\newcommand{\SIunitf}[2]{$\num{#1} \;$ \si[per-mode=fraction]{#2}} 	% Adds a value with SI unit, fractional mode

% Equations and Math Spacing
\newcommand{\autospace}{%
	\setlength{\abovedisplayskip}{5pt}%-12
	%\setlength{\belowdisplayskip}{3pt}%
	%\setlength{\abovedisplayshortskip}{0pt}%
	%\setlength{\belowdisplayshortskip}{0pt}%
} % New command to space math correctly


\newcommand{\subscript}[1]{\!\, _{\gls{#1}}}
\newcommand{\superscript}[1]{\!\, ^{\gls{#1}}}

\AtBeginEnvironment{align}{%
	\autospace%
	\renewcommand{\arraystretch}{0.9}%
}

\AtBeginEnvironment{equation}{%
	\autospace%
	\renewcommand{\arraystretch}{0.9}%
}

%https://en.wikibooks.org/wiki/LaTeX/Mathematics

%----------------------------------------------------------------------------------------
%	ITEMIZE / LISTS
%----------------------------------------------------------------------------------------

% Reducing the spacing in lists
\ifbool{nolistspace}{
	\AtBeginEnvironment{itemize}{%
		\setlength{\itemsep}{0pt}
		\setlength{\parskip}{0pt}
		\setlength{\parsep}{0pt}
	}
}{}


%----------------------------------------------------------------------------------------
%	MARGINS
%----------------------------------------------------------------------------------------

\geometry{
	headheight=\baselineskip, % was 4ex
	includehead,
	includefoot
}

\raggedbottom

%----------------------------------------------------------------------------------------
%	PENALTIES
%----------------------------------------------------------------------------------------

\doublehyphendemerits=10000 % No consecutive line hyphens
\brokenpenalty=10000 % No broken words across columns/pages
\widowpenalty=9999 % Almost no widows at bottom of page
\clubpenalty=9999 % Almost no orphans at top of page
\interfootnotelinepenalty=9999 % Almost never break footnotes

%----------------------------------------------------------------------------------------
%	TABLE OF CONTENTS
%----------------------------------------------------------------------------------------

\addto\captionsenglish{ \renewcommand*\contentsname{Table of Contents} }

%----------------------------------------------------------------------------------------
%	HEADERS AND FOOTERS
%----------------------------------------------------------------------------------------

\providepairofpagestyles{thesisSimple}{%
	\clearpairofpagestyles%
	\automark[chapter]{chapter}
	\ihead{\headmark}% Inner header
	\ohead[\pagemark]{\pagemark}% Outer header
}
\ifoot{}% Inner footer
\ofoot{}% Outer footer
\pagestyle{thesisSimple}
\providepairofpagestyles[thesisSimple]{thesis}{%
	\automark*[section]{}%
}
\providepairofpagestyles[thesisSimple]{review}{%
	\ofoot[\shorttitle/\authorname]{\shorttitle/\authorname}
	\ifoot[\today]{\today}
}
\pagestyle{thesis}
\ifbool{headsepline}{\KOMAoption{headsepline}{true}}{}
\PreventPackageFromLoading[\ClassError{\classname}{Package `fancyhdr' is
	incompatible\MessageBreak with this class}{The pagesyles are defined 
	using package `scrlayer-scrpage', please consult the\MessageBreak 
	KOMA-script documentation for details.}]{fancyhdr}


\newcommand{\blank@p@gestyle}{empty}
\newcommand{\chapter@p@gestyle}{plain}
\NewDocumentCommand{\blankpagestyle}{ m }{%
	\ClassWarning{\classname}{\string\blankpagestyle\space is
		obsolete,\MessageBreak use \string\setblankpagestyle \space  instead}\renewcommand{\blank@p@gestyle}{}{#1}
}
\NewDocumentCommand{\setblankpagestyle}{ m }{\renewcommand{\blank@p@gestyle}{#1}}
\NewDocumentCommand{\setchapterpagestyle}{ m }{\renewcommand{\chapter@p@gestyle}{#1}}

\DeclareDocumentCommand\cleardoublepage{}{\clearpage\if@twoside \ifodd\c@page\else
	\hbox{}
	\thispagestyle{\blank@p@gestyle}
	\newpage
	\if@twocolumn\hbox{}\newpage\fi\fi\fi%
}

%----------------------------------------------------------------------------------------
%	ABBREVIATIONS PAGE DESIGN
%----------------------------------------------------------------------------------------

\newcommand{\abbrevname}{List of Abbreviations}
\providecaptionname{english,british,american}{\abbrevname}{List of Abbreviations}
\providecaptionname{ngerman,german,austrian,naustrian}{\abbrevname}{Abk\"urzungsverzeichnis}
\NewDocumentEnvironment{abbreviations}{ m }{%
	\ifbool{nolistspace}{\begingroup\singlespacing}{}
	\ifbool{listtoc}{\addchap{\abbrevname}}{\addchap*{\abbrevname}}
	\begin{longtable}{#1}
	}{%
	\end{longtable}
	\addtocounter{table}{-1}% Don't count this table as one of the document tables
	\ifbool{nolistspace}{\endgroup}{}
}

%----------------------------------------------------------------------------------------
%	ABSTRACT PAGE DESIGN
%----------------------------------------------------------------------------------------

\newcommand{\byname}{by}
\newcommand{\abstractname}{Abstract}
\providecaptionname{german,ngerman,austrian,naustrian}{\byname}{von}
\providecaptionname{american,australian,british,canadian,english,newzealand,UKenglish,USenglish}{\byname}{by}
\ifbool{consistentlayout}{
	\DeclareDocumentEnvironment{abstract}{ O{} }{%
		\addchap*{\abstractname}%
		\noindent\ignorespaces%
	}%
	{
		\glsresetall
	}%end alt-abstract
}{%
	\DeclareDocumentEnvironment{abstract}{ O{\null\vfill} }{
		\checktoopen
		\tttypeout{\abstractname}
		#1%added to be able to have abstract more than one page long
		\thispagestyle{plain}
		\begin{center}
			{\huge\textit{\abstractname} \par}
			\bigskip
		\end{center}
	}
	{
		\vfill\null
		\glsresetall
	}%end alt-abstract
}

%----------------------------------------------------------------------------------------
%	ACKNOWLEDGEMENTS PAGE DESIGN
%----------------------------------------------------------------------------------------

\newcommand{\acknowledgementname}{Acknowledgements}
\providecaptionname{american,australian,british,canadian,english,newzealand,UKenglish,USenglish} {\acknowledgementname}{Acknowledgements} % Acknowledgement text for English countries
\providecaptionname{german,ngerman,austrian,naustrian}{\acknowledgementname}{Danksagung} % Acknowledgement text for Germanic countries

\ifbool{consistentlayout}{
	\DeclareDocumentEnvironment{acknowledgements}{ O{} }{%
		\addchap*{\acknowledgementname}%
		\noindent\ignorespaces%
	}
}{
	\DeclareDocumentEnvironment{acknowledgements}{ O{\null\vfill} }{%
		\checktoopen
		\tttypeout{\acknowledgementname}
		\thispagestyle{plain}
		\null\vfil
		\begin{center}
			{\huge\textit{\acknowledgementname}\par}
			\bigskip
		\end{center}
	}
	{
		\null\vfil
	}
}

%----------------------------------------------------------------------------------------
%	DECLARATION PAGE DESIGN
%----------------------------------------------------------------------------------------

\newcommand{\authorshipname}{Declaration of Authorship}
\providecaptionname{american,australian,british,canadian,english,newzealand,UKenglish,USenglish}{\authorshipname}{Declaration of Authorship} % Declaration of Authorship text for English countries
\providecaptionname{german,ngerman,austrian,naustrian}{\authorshipname}{Eidesstattliche Erkl\"arung} % Declaration of Authorship text for Germanic countries

\ifbool{consistentlayout}{
	\DeclareDocumentEnvironment{declaration}{}{
		\addchap*{\authorshipname}
	}{}%
}{
	\DeclareDocumentEnvironment{declaration}{}{
		\checktoopen
		\tttypeout{\authorshipname}
		\thispagestyle{plain}
		\null\vfil
		{\noindent\huge\bfseries\authorshipname\par\vspace{10pt}}
	}{}
}

%----------------------------------------------------------------------------------------
%	DEDICATION PAGE DESIGN
%----------------------------------------------------------------------------------------

\ifbool{consistentlayout}{
	\DeclareDocumentCommand{\dedicatory}{ m O{\vspace*{.7\textheight} }  }{
		\checktoopen\tttypeout{Dedicatory}
		\markboth{}{}
		#2
		{\hfill\parbox{.4\textwidth}{\flushright#1\par}}
	}
}{
	\DeclareDocumentCommand{\dedicatory}{ m }{
		\checktoopen
		\tttypeout{Dedicatory}
		\null\vfil
		\thispagestyle{plain}
		\begin{center}{\Large\slshape #1}\end{center}
		\vfil\null
	}
}


%----------------------------------------------------------------------------------------
%	NOMENCLATURE PAGE DESIGN
%----------------------------------------------------------------------------------------

% Resources:
% https://www.dickimaw-books.com/gallery/?action=summary&topic=glossaries#glossaries
% https://ctan.math.washington.edu/tex-archive/support/bib2gls/bib2gls-begin.pdf
% https://texdoc.org/serve/glossaries-user.pdf
% https://mirror.aarnet.edu.au/pub/CTAN/macros/latex/contrib/glossaries-extra/glossaries-extra-manual.pdf
% http://tug.ctan.org/tex-archive/macros/latex/contrib/glossaries/glossaries-code.pdf
% https://tools.ietf.org/doc/texlive-doc/latex/glossaries/glossaries-user.pdf 			Section 6 has usefull gls commands

%%%%%%%%%%%%%%%%%%%%%
% SYMBOLS
%%%%%%%%%%%%%%%%%%%%%

% new keys must be defined before \GlsXtrLoadResources 
%\glsaddkey{hkeyi}{hdefault valuei}{hno link csi}{hno link ucfirst csi}{hlink csi}{hlink ucfirst csi}{hlink allcaps csi}   
\glsaddkey{unit}{}{\glsentryunit}{\Glsentryunit}{\glsunit}{\Glsunit}{\GLSunit}
\glsaddkey{value}{}{\glsentryvalue}{\GLsentryvalue}{\glsvalue}{\Glsvalue}{\GLSvalue}
%\glssetnoexpandfield{unit} % Might be usefull if commands in this section dont behave

\NewDocumentCommand{\importsymbols}{ v }{
	\booltrue{createnomenclature}%
	\booltrue{symbolsimported}%
	\GlsXtrLoadResources[
	src={#1}, % bib files
	sort-field={name}, % sort by name field
	sort={letter-nocase}, % case-insensitive letter sort
	sort-suffix={description}, % sort by description field as a backup
	save-locations=false,% don't save locations
	selection = {all},% Required if more than one .bib is used
	type=symbols % put these terms in the symbols list
	]
}

%\NewDocumentCommand{\importcustomsymbols}{ v v }{
%	\booltrue{createnomenclature}%
%	\GlsXtrLoadResources[
%	src={#1}, % bib files
%	sort-field={name}, % sort by name field
%	sort={letter-nocase}, % case-insensitive letter sort
%	sort-suffix={description}, % sort by description field as a backup
%	save-locations=false,% don't save locations
%	selection = {all},% Required if more than one .bib is used
%	type={#2}%
%	]
%}

% Define new glossary style
\newglossarystyle{symbunitlong}{%
	\setglossarystyle{long3col}% base this style on the list style
	\renewcommand{\arraystretch}{1.5}%
	\renewenvironment{theglossary}{% Change the table type --> 3 columns
		\begin{longtable}{L{0.11\textwidth}L{0.69\textwidth}C{0.2\textwidth}}}%
		{\end{longtable}}%
	\renewcommand*{\glossaryheader}{%  Change the table header
		\bfseries Symbol & \bfseries Description & \bfseries Unit\\\hline
		%\rule{0pt}{0.15ex}% Spacing the first row down
		\endhead}%
	\renewcommand*{\glossentry}[2]{%  Change the displayed items
		\glstarget{##1}{\glossentryname{##1}} %
		& \glossentrydesc{##1}% Description
		& \glsentryunit{##1}  \tabularnewline
	}%
}

\newglossarystyle{symbvalueunitlong}{%
	\setglossarystyle{long3col}%
	% put the glossary in a longtable environment:
	\renewcommand{\arraystretch}{1.5}%
	\renewenvironment{theglossary}%
	{\begin{longtable}{L{0.11\textwidth}p{0.55\textwidth}C{0.15\textwidth}C{0.19\textwidth}}}%
		{\end{longtable}}%
	% Set the table's header:
	\renewcommand*{\glossaryheader}{%
		\bfseries Symbol & \bfseries Description &
		\bfseries Value & \bfseries Unit\\\hline
		\endhead}%
	% Main (level 0) entries displayed in a row optionally numbered:
	\renewcommand*{\glossentry}[2]{%
		\glsentryitem{##1}% Entry number if required
		\glstarget{##1}{\glossentryname{##1}}% Name
		& \glossentrydesc{##1}% Description
		& \glsentryvalue{##1}% Value
		& \glsentryunit{##1}% Unit
		\tabularnewline % end of row
	}%
}
% for some reason this erros out due to redefining a glossary - TRY A CLEAN RUN!!

%%%%%%%%%%%%%%%%%%%%%
% SUBSCRIPTS AND SUPERSCRIPTS
%%%%%%%%%%%%%%%%%%%%%

% Need to create a new glossary manually
\newglossary*{subsuper}{Subscripts and Superscripts}% 

\NewDocumentCommand{\importsubsuper}{ v }{
	\booltrue{createnomenclature}%
	\booltrue{subsuperimported}%
	\GlsXtrLoadResources[%
	src={#1},%
	type=subsuper,%
	category = subsuper,
	selection = {all},% grab all from bib-file. Using subimport currently does not work
	sort-field={group},%sort by this field first
	sort-suffix={name},%append this field as suffix to sort-field
	symbol-sort-fallback={description},% fall back to description if absolutely required
	]%
	\glsxtrsetgrouptitle{sub}{Subscripts}%
	\glsxtrsetgrouptitle{super}{Superscripts}%
	\setglossarypreamble[subsuper]{\glssetwidest{MMM}}%	More Width
}


%%%%%%%%%%%%%%%%%%%%%
% SUBSCRIPTS ONLY
%%%%%%%%%%%%%%%%%%%%%

% Need to create a new glossary manually
\newglossary*{subscripts}{Subscripts}%

\NewDocumentCommand{\importsubscripts}{ v }{
	\booltrue{createnomenclature}%
	\booltrue{subscriptsimported}%
	\GlsXtrLoadResources[%
	src={#1},%
	sort-field={name}, % sort by name field
	sort={letter-nocase}, % case-insensitive letter sort
	sort-suffix={description}, % sort by description field as a backup
	save-locations=false,% don't save locations
	selection = {all},% Required if more than one .bib is used
	type=subscripts % put these terms in the subscripts list
	]%
}



% Define new glossary style
\newglossarystyle{subscriptlong}{%
	\setglossarystyle{long3col}% base this style on the list style
	\renewcommand{\arraystretch}{1.5}%
	\renewenvironment{theglossary}{% Change the table type --> 3 columns
		\begin{longtable}{L{0.15\textwidth}C{0.05\textwidth}L{0.8\textwidth}}}%
		{\end{longtable}}%
	\renewcommand*{\glossaryheader}{%  Change the table header
		\bfseries Symbol & & \bfseries Description\\\hline
		%\rule{0pt}{0.15ex}% Spacing the first row down
		\endhead}%
	\renewcommand*{\glossentry}[2]{%  Change the displayed items
		\glstarget{##1}{\glossentryname{##1}} %
		& %
		& \glossentrydesc{##1}% Description
		\tabularnewline
	}%
}


%%%%%%%%%%%%%%%%%%%%%
% ABBREVIATIONS
%%%%%%%%%%%%%%%%%%%%%

% Standard long (short) abbreviations
\setabbreviationstyle{long-short}

% provide a tagging command for the "dottedsc" and "standard" category:
\GlsXtrEnableInitialTagging{dottedsc,standard}{\itag}

% auto insert dots between letters in the short form for the
% "dottedsc" category:
\glssetcategoryattribute{dottedsc}{insertdots}{true}

% Discard trailing periods following commands like \gls:
\glssetcategoryattribute{dottedsc}{discardperiod}{true}

\NewDocumentCommand{\importacronyms}{ v }{
	\booltrue{createnomenclature}%
	\booltrue{abbreviationsimported}%
	\GlsXtrLoadResources[
	src={#1}, % data in .bib
	sort-field={short}, % sort by short field
	sort={letter-nocase}, % case-insensitive letter sort
	sort-suffix={long}, % sort by long field as a backup
	save-locations=false,% don't save locations
	selection = {all},% Required if more than one .bib is used
	type=acronym % put these terms in the symbols list
	]
}

\newglossarystyle{abbrevlistlong}{%
	\setglossarystyle{longheader}%
	\renewenvironment{theglossary}{% Change the table type --> 2 columns
		\begin{longtable}{L{0.2\textwidth}L{0.8\textwidth}}}%
		{\end{longtable}}%
	%
	\renewcommand*{\glossaryheader}{%  Change the table header
		\bfseries Notation & \bfseries Description\\\hline
		%\rule{0pt}{0.15ex}% Spacing the first row down
		\endhead}%
	\renewcommand*{\glossentry}[2]{%  Change the displayed items
		\glstarget{##1}{\glossentryname{##1}} %
		& \glossentrydesc{##1} % Description
		\tabularnewline
	}%
}

%%%%%%%%%%%%%%%%%%%%%
% GLOSSARIES
%%%%%%%%%%%%%%%%%%%%%

\NewDocumentCommand{\importglossary}{ v }{
	\booltrue{createnomenclature}%
	\booltrue{glossaryimported}%
	\GlsXtrLoadResources[
	src={#1}, % bib files
	sort-field={name}, % sort by name field
	sort={letter-nocase}, % case-insensitive letter sort
	save-locations=false,% don't save locations
	selection = {all},% Required if more than one .bib is used
	type=main % put these terms in the symbols list
	]
}

\newglossarystyle{glossarylistlong}{%
	\setglossarystyle{long3col}%
	\renewenvironment{theglossary}{% Change the table type --> 2 columns
		\begin{longtable}{L{0.3\textwidth}C{0.01\textwidth}L{0.69\textwidth}}}%
		{\end{longtable}}%
	%
	\renewcommand*{\glossaryheader}{%  Change the table header
		\bfseries Term & & \bfseries Definition\\\hline
		%\rule{0pt}{0.15ex}% Spacing the first row down
		\endhead}%
	\renewcommand*{\glossentry}[2]{%  Change the displayed items
		\glstarget{##1}{\glossentryname{##1}} %
		& %
		& \glossentrydesc{##1} % Description
		\tabularnewline
	}%
}

%%%%%%%%%%%%%%%%%%%%%
% PAGE LAYOUT
%%%%%%%%%%%%%%%%%%%%%

\setglossarysection{subsection}

\newcommand{\nomenclaturename}{Nomenclature}
\providecaptionname{english,british,american}{\nomenclaturename}{Nomenclature}

\NewDocumentCommand{\insertnomenclature}{ }{
	\ifbool{createnomenclature}{%
		\ifbool{nolistspace}%
		{\begingroup\singlespacing}{}%
		\ifbool{listtoc}%
		{\addchap{\nomenclaturename}}%
		{\addchap*{\nomenclaturename}}%
		%\renewcommand{\arraystretch}{1.5}
		\ifbool{symbolsimported}{\ifbool{enablenomenclaturevalue}%
			{\printunsrtglossary[type=symbols,style=symbvalueunitlong,title={Symbols}]}%
			{\printunsrtglossary[type=symbols,style=symbunitlong,title={Symbols}]}%
			\addtocounter{table}{-1}}{}%
		%\checktoopen%
		\ifbool{subsuperimported}{\newpage\printunsrtglossary[type=subsuper, style=mcolalttreegroup]\addtocounter{table}{-1}}{}%
		%\checktoopen%
		\ifbool{subscriptsimported}{\newpage\printunsrtglossary[type=subscripts, style=subscriptlong]\addtocounter{table}{-1}}{}%
		%\checktoopen%
		\ifbool{abbreviationsimported}{\newpage\printunsrtglossary[type=acronym,style=abbrevlistlong,title={Abbreviations}]\addtocounter{table}{-1}}{}%
		%\checktoopen%
		\ifbool{glossaryimported}{\newpage\printunsrtglossary[type=main,style=glossarylistlong,title={Glossary}]\addtocounter{table}{-1}}{}%
		\ifbool{nolistspace}{\endgroup}{}%
	}{}
}

%----------------------------------------------------------------------------------------
%	PHYSICAL CONSTANTS PAGE DESIGN
%----------------------------------------------------------------------------------------

\newcommand{\constantsname}{Physical Constants}
\providecaptionname{english,british,american}{\constantsname}{Physical Constants}
\providecaptionname{ngerman,german,austrian,naustrian}{\constantsname}{Physikalische Konstanten}

\NewDocumentEnvironment{constants}{ m }{%
	\ifbool{nolistspace}{\begingroup\singlespacing}{}
	\ifbool{listtoc}{\addchap{\constantsname}}{\addchap*{\constantsname}}
	\begin{longtable}{#1}
	}{%
	\end{longtable}
	\addtocounter{table}{-1}% Don't count this table as one of the document tables
	\ifbool{nolistspace}{\endgroup}{}
}

%----------------------------------------------------------------------------------------
%	SYMBOLS PAGE DESIGN
%----------------------------------------------------------------------------------------

\newcommand{\symbolsname}{List of Symbols}
\providecaptionname{english,british,american}{\symbolsname}{List of Symbols}
\providecaptionname{ngerman,german,austrian,naustrian}{\symbolsname}{Symbolverzeichnis}

\NewDocumentEnvironment{symbols}{ m }{%
	\ifbool{nolistspace}{\begingroup\singlespacing}{}
	\ifbool{listtoc}{\addchap{\symbolsname}}{\addchap*{\symbolsname}}
	\begin{longtable}{#1}
	}{%
	\end{longtable}
	\addtocounter{table}{-1}% Don't count this table as one of the document tables
	\ifbool{nolistspace}{\endgroup}{}
}

%----------------------------------------------------------------------------------------
%	TO-DO NOTES TOC PAGE SETUP
%----------------------------------------------------------------------------------------

\newcommand{\todotocname}{TODO Notes}

\NewDocumentCommand{\todotoc}{ }{%
	\ifbool{final}{}{\ifbool{disabletodo}{}{%
			\checktoopen%
			\ifbool{listtoc}{\todototoc}{}
			\listoftodos[TODO Notes]%
	}}%
	%\addtocounter{table}{-2}% Don't count these tables in the list of tables
	%\ifbool{nolistspace}{\endgroup}{}
}

%----------------------------------------------------------------------------------------
%	PART PAGE SETUP
%----------------------------------------------------------------------------------------

\ifbool{resetcountonpart}{%
	\makeatletter\@addtoreset{chapter}{part}\makeatother%
}{}%

%----------------------------------------------------------------------------------------
%	HYPERLINK SETUP
%----------------------------------------------------------------------------------------

\ifbool{hyperrefsupport}{% If the nohyperref class option has not been specified
	\AtEndPreamble{
		\hypersetup{pdfpagemode={UseOutlines},
			bookmarksopen=true,
			bookmarksopenlevel=0,
			hypertexnames=false,
			colorlinks=true,% Set to false to disable coloring links
			citecolor=black,% The color of citations
			linkcolor=black,% The color of references to document elements (sections, figures, etc)
			urlcolor=black,% The color of hyperlinks (URLs)
			pdfstartview={FitV},
			unicode,
			breaklinks=true,
		}
		
		\pdfstringdefDisableCommands{% If there is an explicit linebreak in a section heading (or anything printed to the pdf-bookmarks), it is replaced by a space
			\let\\\space%
		}
	}
}{%nothing
}




%----------------------------------------------------------------------------------------
%	END
%----------------------------------------------------------------------------------------

\endinput
